Subject: Rose Hips

From: [email-masked] (malcolm Brand)
Date: 8 Oct 1995 18:13:35 GMT

I've been wondering what amount of Rose Hips should be taken to be 
equivalent to 500 mg tablet of Vitamin C that you would by in a store.